onboard auto-starts by default

Bug #858988 reported by Sérgio Faria
36
This bug affects 7 people
Affects Status Importance Assigned to Milestone
onboard (Ubuntu)
Fix Released
Low
Unassigned
Oneiric
Fix Released
Undecided
Unassigned

Bug Description

The latest update has made onboard auto-start by default, in unity, despite being enabled on the control panel or not.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: onboard 0.95.1-0ubuntu3
ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4
Uname: Linux 3.0.0-11-generic x86_64
ApportVersion: 1.23-0ubuntu1
Architecture: amd64
Date: Sun Sep 25 16:33:36 2011
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110901)
PackageArchitecture: all
SourcePackage: onboard
UpgradeStatus: Upgraded to oneiric on 2011-09-23 (1 days ago)

Revision history for this message
Sérgio Faria (sergio91pt) wrote :
tags: added: regression-release
Revision history for this message
Jeremy Bicha (jbicha) wrote :

Thank you for reporting this bug!

Changed in onboard (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package onboard - 0.95.1-0ubuntu4

---------------
onboard (0.95.1-0ubuntu4) oneiric; urgency=low

  * Fix last update which caused onboard to always start by default
    (LP: #858988)
 -- Jeremy Bicha <email address hidden> Sun, 25 Sep 2011 13:03:00 -0400

Changed in onboard (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Martin Pitt (pitti) wrote : Please test proposed package

Hello Sérgio, or anyone else affected,

Accepted onboard into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in onboard (Ubuntu Oneiric):
status: New → Fix Committed
tags: added: verification-needed
Revision history for this message
Sérgio Faria (sergio91pt) wrote :

This bug wasn't reintroduced in the proposed package however the change that triggered this bug wasn't ported to the new release:
"Disable autostart in GNOME Shell so that onboard doesn't conflict with the build-it onscreen keyboard"

tags: added: verification-done
removed: verification-needed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package onboard - 0.96.1-0ubuntu0.1

---------------
onboard (0.96.1-0ubuntu0.1) oneiric-proposed; urgency=low

  * New bugfix release (LP: #880085)
  * Make the Hover Click also work in the Unity Greeter
  * Add some shortcuts to the Preferences dialog
  * Fix the return key of the scanning layout (LP: #877385)
  * Fix black corner issue when auto-starting in unity (LP: #877604)
  * Fix starting of the Preferences of Onboard in the LiveCD (LP: #877592)
  * Improve handling of gsettings events (LP: #877601)
  * Silently embed into gnome-screen-saver if no app did so (LP: #857813)
  * Remove redundant hook check
  * Remove unused pictures
  * Make a few small visual adjustments
  * Improve or fix some tooltips and key names
  * Add Gerd to AUTHORS file and order the names alphabetically
  * Merge translations from the Ubuntu translators from the 22-10-2011
  * debian/patches: update onboard-defaults.conf file

onboard (0.96.0-0ubuntu0.1) oneiric-proposed; urgency=low

  * Feature Freeze exception request (LP: #872374)
  * Uses gobject introspection (GTK3), (LP: #858988)
  * Uses gsettings rather than gconf (LP: #801208)
  * Show on new lock screen (LP: #857813)
  * Make Caps Lock stick on single click, (LP: #68716)
  * Use dh_python2 (LP: #788514)
  * Make Caps Lock stick on single click (LP: #68716)
  * Add a hide button (LP: #564040 , LP: #584119)
  * Add options for transparency of the onscreen keyboard window (LP: #643204)
  * Add option to use a window without decoration
  * Add tooltips to some keys of Onboard
  * Add option to force Onboard window to top (work around bug 739812)
  * Add possibility to differentiate snippets with custom labels
  * Add buttons to control the hover click eature provided by the system
  * Enhance the layout creation with parts that are visible on all layer
  * Reworked the layouts and renamed Classic Onboard layout to Compact layout
  * Many other little fixes and adjustments (details in commits on launchpad)
  * debian/control:
      Build-Depends: add python-all-dev, libgtk-3-dev, libxi-dev, libxtst-dev
                     remove libxi6
      Depends: add ${shlibs:Depends}, python-dbus, gir1.2-gtk-3.0,
                   gir1.2-pango-1.0 (>= 1.29.3), gir1.2-glib-2.0,
                   gir1.2-gdkpixbuf-2.0, libgtk-3-0, libxtst6
               remove python-gtk2, python-gconf, python-gobject, libx11-6
  * debian/copyright: add Gerd Kohlberger to the list of authors
  * debian/rules: uncomment clean target
  * debian/patches: update onboard-defaults.conf file
                    remove onboard_autostart.patch
  * debian: remove outdated README.source file
 -- Francesco Fumanti <email address hidden> Sat, 22 Oct 2011 22:10:54 +0200

Changed in onboard (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Revision history for this message
Mattia Impellizzeri (matt-91web) wrote :

I have the same problem in 12.10 after I upgraded from 12.04

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers